
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiser4/txnmgr.c |    3 ++-
 fs/reiser4/wander.c |    3 +--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/reiser4/txnmgr.c~reiser4-remove-c99isms fs/reiser4/txnmgr.c
--- devel/fs/reiser4/txnmgr.c~reiser4-remove-c99isms	2005-09-15 23:41:57.000000000 -0700
+++ devel-akpm/fs/reiser4/txnmgr.c	2005-09-15 23:41:57.000000000 -0700
@@ -3447,9 +3447,10 @@ static void capture_fuse_into(txn_atom *
 
 
 	list_for_each(pos1, &small->protected) {
-		prot_list = list_entry(pos1, protected_jnodes, inatom);
 		jnode *node;
 
+		prot_list = list_entry(pos1, protected_jnodes, inatom);
+
 		list_for_each(pos2, &prot_list->nodes) {
 			node = list_entry(pos2, jnode, capture_link);
 			zcount += 1;
diff -puN fs/reiser4/wander.c~reiser4-remove-c99isms fs/reiser4/wander.c
--- devel/fs/reiser4/wander.c~reiser4-remove-c99isms	2005-09-15 23:41:57.000000000 -0700
+++ devel-akpm/fs/reiser4/wander.c	2005-09-15 23:41:57.000000000 -0700
@@ -1750,12 +1750,11 @@ static int check_journal_header(const jn
 /* wait for write completion for all jnodes from given list */
 static int wait_on_jnode_list(struct list_head *head)
 {
-	jnode *scan;
 	struct list_head *pos;
 	int ret = 0;
 
 	list_for_each(pos, head) {
-		scan = list_entry(pos, jnode, capture_link);
+		jnode *scan = list_entry(pos, jnode, capture_link);
 		struct page *pg = jnode_page(scan);
 
 		if (pg) {
_
